<?php
/**
 * @file
 * The restore settings form.
 */

/**
 * The settings form callback.
 */
function restore_settings_form($form, &$form_state) {
  $form = array();

  // General settings fieldset.
  $form['general'] = array(
    '#type' => 'fieldset',
    '#title' => t('General settings'),
  );

  // Run in strict mode.
  $form['general']['restore_general_strict'] = array(
    '#type' => 'checkbox',
    '#title' => t('Run restore/remove in strict mode.'),
    '#description' => t('When in strict mode, any failures will prevent further operations from running.'),
    '#default_value' => variable_get('restore_general_strict', FALSE),
  );

  // Auto settings fieldset.
  $form['auto'] = array(
    '#type' => 'fieldset',
    '#title' => t('Auto settings'),
  );

  // Automatically restore scripts on module enable.
  $form['auto']['restore_auto_restore_on_enable'] = array(
    '#type' => 'checkbox',
    '#title' => t('Automatically restore scripts.'),
    '#description' => t('When a module gets installed, and it has restore scripts/hook, installed this will automatically restore the scripts.'),
    '#default_value' => variable_get('restore_auto_restore_on_enable', FALSE),
  );

  // Automatically remove scripts on module disable.
  $form['auto']['restore_auto_restore_on_disable'] = array(
    '#type' => 'checkbox',
    '#title' => t('Automatically remove scripts'),
    '#description' => t('When a module gets uninstalled, and it has restrore scripts/hook, uninstalling the module will automatically remove the scripts.'),
    '#default_value' => variable_get('restore_auto_restore_on_disable', FALSE),
  );

  return system_settings_form($form);
}
