<?php
/**
 * @file
 * Theming for the script table on the generate script page.
 */

/**
 * The theme callback.
 */
function theme_restore_generate_table($variables) {
  $script = $variables['script'];
  $form = $variables['form'];

  $header = array(
    t('Operation action details'),
  );

  $rows = array();

  if (isset($script['operations'])) {
    foreach ($script['operations'] as $operation_id => $actions) {
      $rows[] = array(
        'data' => array(
          array(
            'data' => restore_instance_label(str_replace('_generate', '', $operation_id)),
            'header' => TRUE,
          ),
        ),
        'no_striping' => TRUE,
      );

      foreach ($actions as $action_id => $action_title) {
        $rows[] = array(
          $action_title,
        );
      }
    }
  }

  $output = theme('table', array(
    'rows' => $rows,
    'header' => $header,
    'attributes' => array(
      'class' => array('restore-script'),
    ),
  ));

  return $output;
}
