<?php
/**
 * @file
 * This file contains no working PHP code; it exists to provide additional
 * documentation for doxygen as well as to document hooks in the standard
 * Drupal manner.
 */

/**
 * Allows modules to provide restore configs.
 *
 * A restore config is an array containing information regarding the module,
 * and actions that the restore config provides. Such actions can be
 * variables, menu items, aliases, etc.
 *
 * The actions are seperated by their relevant operations controller, for
 * example for variables it will be 'unipro_restore_variable_operation' (as
 * theres a ctools class defined called 'unipro_restore_variable_operation'),
 * then within that will be all its actions.
 *
 * for example
 *
 * operations => array(
 *   'unipro_restore_variable_operation' => array(
 *      array(),
 *      array(),
 *    ),
 * )
 *
 * For more information on how the data should be structured for
 * each operation, view the operations class file.
 *
 * @return array
 *   An array containing the modules restore config.
 */
function hook_restore() {
  return array(
    'title' => t('My restore config'),
    'description' => t('This is my modules restore config.'),
    'operations' => array(
      'unipro_restore_variable_operation' => array(
        array(),
        array(),
        array(),
        array(),
      ),
    ),
  );
}
